## ffmpeg2theora 0.27

=== SConstruct ===
--- 
+++ 
@@ -4,8 +4,15 @@
 
 import SCons
 
+def svnversion():
+    f = os.popen("svnversion")
+    version = f.read().strip()
+    f.close()
+    return version
 
-pkg_version="0.24"
+pkg_version="0.27"
+#pkg_version +="+svn" + svnversion()
+
 pkg_name="ffmpeg2theora"
 
 scons_version=(0,97,0)
@@ -23,12 +30,13 @@
 opts.AddOptions(
   BoolOption('static', 'Set to 1 for static linking', 0),
   BoolOption('debug', 'Set to 1 to enable debugging', 0),
-  ('prefix', 'install architecture-independent files in', '/usr/local'),
+  ('prefix', 'install files in', '/usr/local'),
   ('bindir', 'user executables', 'PREFIX/bin'),
   ('mandir', 'man documentation', 'PREFIX/man'),
   ('destdir', 'extra install time prefix', ''),
   ('APPEND_CCFLAGS', 'Additional C/C++ compiler flags'),
   ('APPEND_LINKFLAGS', 'Additional linker flags'),
+  BoolOption('libkate', 'enable libkate support', 1),
   BoolOption('crossmingw', 'Set to 1 for crosscompile with mingw', 0)
 )
 env = Environment(options = opts)
@@ -65,6 +73,8 @@
 
 if GetOption("help"):
     Return()
+
+env.PrependENVPath ('PATH', os.environ['PATH'])
 
 def ParsePKGConfig(env, name): 
   if os.environ.get('PKG_CONFIG_PATH', ''):
@@ -106,26 +116,43 @@
    print 'pkg-config >= %s not found.' % pkgconfig_version 
    Exit(1)
 
-XIPH_LIBS="ogg >= 1.1 vorbis vorbisenc theora >= 1.0beta1"
+if not conf.CheckPKG("ogg >= 1.1"): 
+  print 'ogg >= 1.1 missing'
+  Exit(1) 
+
+if not conf.CheckPKG("vorbis"): 
+  print 'vorbis missing'
+  Exit(1) 
+
+if not conf.CheckPKG("vorbisenc"): 
+  print 'vorbisenc missing'
+  Exit(1) 
+
+if not conf.CheckPKG("theoraenc >= 1.1.0"): 
+  print 'theoraenc >= 1.1.0 missing'
+  Exit(1) 
+
+XIPH_LIBS="ogg >= 1.1 vorbis vorbisenc theoraenc >= 1.1.0"
 
 if not conf.CheckPKG(XIPH_LIBS): 
   print 'some xiph libs are missing, ffmpeg2theora depends on %s' % XIPH_LIBS
   Exit(1) 
 ParsePKGConfig(env, XIPH_LIBS)
 
-FFMPEG_LIBS="libavcodec libavformat libavdevice libpostproc libswscale"
+FFMPEG_LIBS=["libavcodec >= 52.30.0", "libavdevice", "libavformat", "libpostproc", "libswscale"]
 if os.path.exists("./ffmpeg"):
   os.environ['PKG_CONFIG_PATH'] = "./ffmpeg/libavutil:./ffmpeg/libavformat:./ffmpeg/libavcodec:./ffmpeg/libavdevice:./ffmpeg/libswscale:./ffmpeg/libpostproc:" + os.environ.get('PKG_CONFIG_PATH', '')
-if not conf.CheckPKG(FFMPEG_LIBS): 
+if not conf.CheckPKG(' '.join(FFMPEG_LIBS)): 
   print """
       Could not find %s.
       You can install it via
        sudo apt-get install %s
       or update PKG_CONFIG_PATH to point to ffmpeg's source folder
       or run ./get_ffmpeg_svn.sh (for more information see INSTALL)
-  """ %(FFMPEG_LIBS, " ".join(["%s-dev"%l for l in FFMPEG_LIBS.split()]))
+  """ %(" ".join(FFMPEG_LIBS), " ".join(["%s-dev"%l.split()[0] for l in FFMPEG_LIBS]))
   Exit(1) 
-for lib in FFMPEG_LIBS.split():
+
+for lib in FFMPEG_LIBS:
     ParsePKGConfig(env, lib)
 
 if conf.CheckCHeader('libavformat/framehook.h'):
@@ -134,19 +161,31 @@
     ])
 
 KATE_LIBS="oggkate"
-if os.path.exists("./libkate/misc/pkgconfig"):
-  os.environ['PKG_CONFIG_PATH'] = "./libkate/misc/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
-if os.path.exists("./libkate/pkg/pkgconfig"):
-  os.environ['PKG_CONFIG_PATH'] = "./libkate/pkg/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
-if conf.CheckPKG(KATE_LIBS):
-  ParsePKGConfig(env, KATE_LIBS)
-  env.Append(CCFLAGS=['-DHAVE_KATE', '-DHAVE_OGGKATE'])
-else:
-  print """
-      Could not find libkate. Subtitles support will be disabled.
-      You can also run ./get_libkate.sh (for more information see INSTALL)
-      or update PKG_CONFIG_PATH to point to libkate's source folder
-  """
+if env['libkate']:
+  if os.path.exists("./libkate/misc/pkgconfig"):
+    os.environ['PKG_CONFIG_PATH'] = "./libkate/misc/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
+  if os.path.exists("./libkate/pkg/pkgconfig"):
+    os.environ['PKG_CONFIG_PATH'] = "./libkate/pkg/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
+  if conf.CheckPKG(KATE_LIBS):
+    ParsePKGConfig(env, KATE_LIBS)
+    env.Append(CCFLAGS=['-DHAVE_KATE', '-DHAVE_OGGKATE'])
+  else:
+    print """
+        Could not find libkate. Subtitles support will be disabled.
+        You can also run ./get_libkate.sh (for more information see INSTALL)
+        or update PKG_CONFIG_PATH to point to libkate's source folder
+    """
+
+if conf.CheckCHeader('iconv.h'):
+    env.Append(CCFLAGS=[
+      '-DHAVE_ICONV'
+    ])
+    if conf.CheckLib('iconv'):
+        env.Append(LIBS=['iconv'])
+
+if env['static']:
+    env.Append(LIBS=['m', 'dl'])
+
 env = conf.Finish()
 
 # ffmpeg2theora
