=== debian/changelog ===
ffmpeg2theora (0.29-2build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 19:12:47 +0000

ffmpeg2theora (0.29-2) unstable; urgency=low

  * Pushing 0.29 to unstable fixes FTBFS. (Closes: #713716)
  * Remove obsolete DM-Upload-Allowed field.
  * Replace uncanonical URI from VCS-* fields.
  * Update Standards-Version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 22 Jun 2013 11:37:44 -0400

ffmpeg2theora (0.29-1) experimental; urgency=low

  * Migrate source to pkg-multimedia git repository tree.
  * Add pkg-multimedia as maintainer
  * New upstream version. (Closes: #692914, #652705)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 15 Nov 2012 15:05:50 -0500
