=== debian/control ===
Source: ffmpeg2theora
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>, RISKO Gergely <risko@debian.org>
Vcs-Browser: http://anonscm.debian.org/git/pkg-multimedia/ffmpeg2theora.git
Vcs-Git: git://anonscm.debian.org/git/pkg-multimedia/ffmpeg2theora.git
Build-Depends: quilt, debhelper (>= 7.0.50~), libavcodec-dev (>= 4:0.6), libavutil-dev, libpostproc-dev (>= 4:0.6),
 libswscale-dev (>= 4:0.6), libavformat-dev (>= 4:0.6), libavdevice-dev (>= 4:0.6), libogg-dev, libvorbis-dev,
 libtheora-dev, scons, pkg-config, libkate-dev, liboggkate-dev, libavfilter-dev
Homepage: http://v2v.cc/~j/ffmpeg2theora/
Standards-Version: 3.9.4

Package: ffmpeg2theora
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Theora video encoder using ffmpeg
 This package provides a command-line tool to encode/recode various
 video formats (basically everything that ffmpeg can read) into Theora,
 the free video codec.
