=== debian/rules ===
#!/usr/bin/make -f

#DEB_SCONS_OPTIONS := prefix=/usr destdir=$(DEB_DESTDIR) mandir=PREFIX/share/man

#PREFIX="prefix=$(CURDIR)/debian/ffmpeg2theora/usr destdir=$(CURDIR)/debian/ffmpeg2theora mandir=$(CURDIR)/debian/usr/share/man"

%:
	dh $@ --with quilt

#override_dh_auto_build:
#	scons
#
#override_dh_auto_install:
#	PREFIX="destdir=$(CURDIR)/debian/ffmpeg2theora prefix=/usr mandir=$(CURDIR)/debian/usr/share/man"; make install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .sconf_temp/ .sconsign.dblite config.log
