## ffmpeg2theora 0.29.0~git+20140316

=== SConstruct ===
--- 
+++ 
@@ -6,12 +6,13 @@
 import SCons
 
 def version():
+    #return "0.29"
     f = os.popen("./version.sh")
     version = f.read().strip()
     f.close()
     return version
 
-pkg_version="0.29"
+pkg_version=version()
 
 pkg_name="ffmpeg2theora"
 
@@ -151,7 +152,6 @@
       "libavcodec >= 52.30.0",
       "libpostproc",
       "libswscale",
-      "libswresample",
       "libavutil",
   ]
   if os.path.exists("./ffmpeg"):
@@ -160,6 +160,19 @@
     os.environ['PKG_CONFIG_PATH'] = ':'.join(pkg_path)
     env.Append(CCFLAGS=[
       '-Iffmpeg'
+    ])
+    for lib in FFMPEG_LIBS:
+      lib = lib.split(' ')[0]
+      env.Append(LINKFLAGS=[
+        '-Lffmpeg/' + lib
+      ])
+
+  if conf.CheckPKG('libavresample'):
+    FFMPEG_LIBS.append('libavresample')
+  else:
+    FFMPEG_LIBS.append('libswresample')
+    env.Append(CCFLAGS=[
+      '-DUSE_SWRESAMPLE'
     ])
 
   if not conf.CheckPKG(' '.join(FFMPEG_LIBS)):
