=== debian/changelog ===
ffmpeg2theora (0.29.0~git+20140316-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/link-libm.patch: Link with libm for ceil. (Closes: #768674)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Nov 2014 13:09:49 +0100

ffmpeg2theora (0.29.0~git+20140316-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 May 2014 01:09:43 +0200

ffmpeg2theora (0.29.0~git+20140316-1) experimental; urgency=medium

  * Team upload.
  [ Tiago Bortoletto Vaz ]
  * Using last upstream changes which fixes a FTBFS with libav10. Thanks to
    Moritz Muehlenhoff. (Closes: #739237)

  [ Reinhard Tartler ]
  * Upload to experimental
  * compile against libav10, and build against libavresample
  * add libavresample.patch to allow compilation against libavresample
  * Pass correct PREFIX an DESTDIR variables to the upstream build system
  * Update Standards-Version to 3.9.5

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Mar 2014 21:52:57 -0400
