=== debian/control ===
Source: ffmpeg2theora
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>,
           RISKO Gergely <risko@debian.org>
Vcs-Browser: http://anonscm.debian.org/git/pkg-multimedia/ffmpeg2theora.git
Vcs-Git: git://anonscm.debian.org/git/pkg-multimedia/ffmpeg2theora.git
Build-Depends: debhelper (>= 7.0.50~),
               libavcodec-dev (>= 6:10~),
               libavdevice-dev (>= 6:10~),
               libavfilter-dev,
               libavformat-dev (>= 6:10~),
               libavresample-dev (>= 6:10~),
               libavutil-dev,
               libkate-dev,
               libogg-dev,
               liboggkate-dev,
               libpostproc-dev,
               libswscale-dev (>= 6:10~),
               libtheora-dev,
               libvorbis-dev,
               pkg-config,
               quilt,
               scons
Homepage: http://v2v.cc/~j/ffmpeg2theora/
Standards-Version: 3.9.5

Package: ffmpeg2theora
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Theora video encoder using ffmpeg
 This package provides a command-line tool to encode/recode various
 video formats (basically everything that ffmpeg can read) into Theora,
 the free video codec.
