=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 #override_dh_auto_build:
 #	scons
-#
-#override_dh_auto_install:
-#	PREFIX="destdir=$(CURDIR)/debian/ffmpeg2theora prefix=/usr mandir=$(CURDIR)/debian/usr/share/man"; make install
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX="prefix=/usr destdir=$(CURDIR)/debian/ffmpeg2theora mandir=$(CURDIR)"
 
 override_dh_auto_clean:
 	dh_auto_clean
