=== debian/changelog ===
ffmpeg2theora (0.30-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version

  [ Phil Wyett ]
  * Use Python 3 print() (Closes: #947560)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Feb 2020 15:33:33 +0100

ffmpeg2theora (0.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix building against FFmpeg 2.9/3.0. (Closes: #803811)
  * debian/patches/libavresample.patch: Removed, no longer needed.
  * debian/control:
    - Update Standards-Version.
    - Update B-D for ffmpeg.
    - Update Vcs-*.
  * debian/rules: Honor CFLAGS, LDFLAGS and CPPFLAGS.
  * debian/{control,compat}: Bump compat for automatic dbg packages.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Feb 2016 22:14:59 +0100
