=== debian/control ===
Source: ffmpeg2theora
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>,
           RISKO Gergely <risko@debian.org>
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg2theora
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg2theora.git
Build-Depends: debhelper-compat (= 12),
               libavcodec-dev (>= 6:10~),
               libavdevice-dev (>= 6:10~),
               libavfilter-dev,
               libavformat-dev (>= 6:10~),
               libavutil-dev,
               libkate-dev,
               libogg-dev,
               liboggkate-dev,
               libpostproc-dev,
               libswresample-dev (>= 6:10~),
               libswscale-dev (>= 6:10~),
               libtheora-dev,
               libvorbis-dev,
               pkg-config,
               scons
Homepage: http://v2v.cc/~j/ffmpeg2theora/
Standards-Version: 4.5.0

Package: ffmpeg2theora
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Theora video encoder using ffmpeg
 This package provides a command-line tool to encode/recode various
 video formats (basically everything that ffmpeg can read) into Theora,
 the free video codec.
