=== debian/rules ===
#!/usr/bin/make -f

DEB_SCONS_OPTIONS := prefix=/usr destdir=$(CURDIR)/debian/ffmpeg2theora mandir=$(CURDIR)
DEB_SCONS_OPTIONS += APPEND_CCFLAGS="$(CPPFLAGS) $(CFLAGS)"
DEB_SCONS_OPTIONS += APPEND_LINKFLAGS="$(LDFLAGS)"


%:
	dh $@

override_dh_auto_build:
	scons $(DEB_SCONS_OPTIONS)

override_dh_auto_install:
	scons install $(DEB_SCONS_OPTIONS)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .sconf_temp/ .sconsign.dblite config.log
