=== debian/watch ===
# watch control file for uscan
version=3
http://www.v2v.cc/~j/ffmpeg2theora/download.html  .*/ffmpeg2theora-([\d\.]*)\.tar\.bz2
